Bug 263294 - kontact does not restart with session
Summary: kontact does not restart with session
Status: RESOLVED FIXED
Alias: None
Product: kontact
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-16 08:03 UTC by Bernhard M. Wiedemann
Modified: 2011-01-25 12:01 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard M. Wiedemann 2011-01-16 08:03:53 UTC
Version:           unspecified (using KDE 4.5.95) 
OS:                Linux

see
http://openqa.opensuse.org/opensuse/permanent/video/openSUSE-NET-x86_64-Build1016.ogv
at 03:03


Reproducible: Always

Steps to Reproduce:
- have a fresh openSUSE-Factory install
- start kontact
- reboot (or logout+login)

Actual Results:  
pops up
"Kontact already seems to be running on another display on this machine. Running Kontact more than once can cause the loss of mail. You should not start Kontact unless you are sure that it is not already running."
and when choosing exit, no kontact process remains

Expected Results:  
it should probably restore its session
Comment 1 Christophe Marin 2011-01-16 14:30:27 UTC
So, our findings after playing with the openSUSE QA VM:

Logout, log in, kontact is restored but the warning is shown.

Kontact and the modules are all registered on the bus, however, a backtrace shows the sdsummary plugin working before kontact loads.

After disabling the special dates plugin, the bug is gone.


Allen ? this one may explain bug 185544
Comment 2 Christophe Marin 2011-01-17 02:51:37 UTC
I finally have a VM where it can be reproduced.

If I understand correctly, kontact tries to start a second time at #26, then the KMail part complains that Kontact tries to start it again.

#12 0x00007f20f0b061d7 in KMessageBox::warningYesNo (parent=<value optimized out>, text=<value optimized out>, 
    caption=<value optimized out>, buttonYes=<value optimized out>, buttonNo=<value optimized out>, 
    dontAskAgainName=<value optimized out>, options=...) at /usr/src/debug/kdelibs-4.5.95/kdeui/dialogs/kmessagebox.cpp:565
#13 0x00007f20d4ff5347 in KMail::lockOrDie () at /usr/src/debug/kdepim-4.4.9/kmail/kmstartup.cpp:228
#14 0x00007f20d5535717 in KMailPart::KMailPart (this=0xe63bf0, parentWidget=0x630a80, parent=<value optimized out>, 
    __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at /usr/src/debug/kdepim-4.4.9/kmail/kmail_part.cpp:69
#15 0x00007f20d553698f in KPluginFactory::createPartInstance<KMailPart> (parentWidget=0x630a80, parent=0x630a80, args=...)
    at /usr/include/kpluginfactory.h:479
#16 0x00007f20f04c6402 in KPluginFactory::create (this=0x97ea40, iface=0x7f20ee9a5ce0 "KParts::ReadOnlyPart", parentWidget=0x630a80, 
    parent=0x630a80, args=..., keyword=<value optimized out>) at /usr/src/debug/kdelibs-4.5.95/kdecore/util/kpluginfactory.cpp:203
#17 0x00007f20f123c277 in create<KParts::ReadOnlyPart> (this=0x630a80, libname=0xe3a6d8 "kmailpart")
    at /usr/include/kpluginfactory.h:503
#18 KontactInterface::Core::createPart (this=0x630a80, libname=0xe3a6d8 "kmailpart")
    at /usr/src/debug/kdepimlibs-4.5.95/kontactinterface/core.cpp:87
#19 0x00007f20d6e54cc0 in KMailPlugin::createPart (this=0xe37f10)
    at /usr/src/debug/kdepim-4.4.9/kontact/plugins/kmail/kmail_plugin.cpp:179
#20 0x00007f20f123b869 in KontactInterface::Plugin::part (this=0xe37f10)
    at /usr/src/debug/kdepimlibs-4.5.95/kontactinterface/plugin.cpp:191
#21 0x00007f20f17e147e in Kontact::MainWindow::selectPlugin (this=0x630a80, plugin=0xe37f10)
---Type <return> to continue, or q <return> to quit---
    at /usr/src/debug/kdepim-4.4.9/kontact/src/mainwindow.cpp:778
#22 0x00007f20f17ddbbc in Kontact::MainWindow::loadSettings (this=0x630a80)
    at /usr/src/debug/kdepim-4.4.9/kontact/src/mainwindow.cpp:944
#23 0x00007f20f17e0060 in Kontact::MainWindow::initObject (this=0x630a80)
    at /usr/src/debug/kdepim-4.4.9/kontact/src/mainwindow.cpp:210
#24 0x00007f20f17e045c in Kontact::MainWindow::MainWindow (this=0x630a80, __in_chrg=<value optimized out>, 
    __vtt_parm=<value optimized out>) at /usr/src/debug/kdepim-4.4.9/kontact/src/mainwindow.cpp:146
#25 0x0000000000403514 in KontactApp::newInstance (this=0x7fffb480fc40) at /usr/src/debug/kdepim-4.4.9/kontact/src/main.cpp:136
#26 0x00007f20f0a181f4 in KUniqueApplicationAdaptor::newInstance (this=0x714020, asn_id=<value optimized out>, args=...)
    at /usr/src/debug/kdelibs-4.5.95/kdeui/kernel/kuniqueapplication.cpp:436
#27 0x00007f20f0a18292 in KUniqueApplicationAdaptor::qt_metacall (this=0x714020, _c=QMetaObject::InvokeMetaMethod, _id=0, 
    _a=0x7fffb480d510) at /usr/src/debug/kdelibs-4.5.95/build/kdeui/kuniqueapplication_p.moc:81
#28 0x00007f20ed4b6d08 in ?? () from /usr/lib64/libQtDBus.so.4
#29 0x00007f20ed4b760e in ?? () from /usr/lib64/libQtDBus.so.4
#30 0x00007f20ed4b7e2e in ?? () from /usr/lib64/libQtDBus.so.4
#31 0x00007f20ed4b8068 in ?? () from /usr/lib64/libQtDBus.so.4
#32 0x00007f20f003caba in QObject::event(QEvent*) () from /usr/lib64/libQtCore.so.4
#33 0x00007f20ef3f73e6 in QApplication::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#34 0x00007f20ef3f4d44 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#35 0x00007f20ef3fd24a in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#36 0x00007f20f09899b6 in KApplication::notify (this=0x7fffb480fc40, receiver=0x7fffb480fc40, event=0x63b920)
    at /usr/src/debug/kdelibs-4.5.95/kdeui/kernel/kapplication.cpp:311
#37 0x00007f20f0028c3c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#38 0x00007f20f002c435 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib64/libQtCore.so.4
#39 0x00007f20f00537d3 in ?? () from /usr/lib64/libQtCore.so.4
#40 0x00007f20e741ac63 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#41 0x00007f20e741b440 in ?? () from /lib64/libglib-2.0.so.0
#42 0x00007f20e741b6e0 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#43 0x00007f20f005396f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#44 0x00007f20ef499d9e in ?? () from /usr/lib64/libQtGui.so.4
#45 0x00007f20f0028092 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#46 0x00007f20f00282a5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#47 0x00007f20f041d186 in KJob::exec (this=0xcfd350) at /usr/src/debug/kdelibs-4.5.95/kdecore/jobs/kjob.cpp:204
#48 0x00007f20d5b7b83e in SDSummaryWidget::updateView (this=0xca3260)
    at /usr/src/debug/kdepim-4.4.9/kontact/plugins/specialdates/sdsummarywidget.cpp:219
#49 0x00007f20d5b7f765 in SDSummaryWidget::configUpdated (this=0xca3260)
    at /usr/src/debug/kdepim-4.4.9/kontact/plugins/specialdates/sdsummarywidget.cpp:148
#50 0x00007f20d5b7fb3b in SDSummaryWidget::SDSummaryWidget (this=0xca3260, plugin=<value optimized out>, parent=<value optimized out>)
    at /usr/src/debug/kdepim-4.4.9/kontact/plugins/specialdates/sdsummarywidget.cpp:124
#51 0x00007f20d5b79244 in SpecialdatesPlugin::createSummaryWidget (this=0x947840, parentWidget=0xc87b20)
    at /usr/src/debug/kdepim-4.4.9/kontact/plugins/specialdates/specialdates_plugin.cpp:49
#52 0x00007f20d574917f in SummaryViewPart::updateWidgets (this=0xc6a140)
    at /usr/src/debug/kdepim-4.4.9/kontact/plugins/summary/summaryview_part.cpp:160
#53 0x00007f20d5749f38 in SummaryViewPart::initGUI (this=0xc6a140, core=<value optimized out>)
    at /usr/src/debug/kdepim-4.4.9/kontact/plugins/summary/summaryview_part.cpp:514
#54 0x00007f20d574a0a6 in SummaryViewPart::SummaryViewPart (this=0xc6a140, core=0x7a7c30, aboutData=<value optimized out>, 
    parent=<value optimized out>, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>)
    at /usr/src/debug/kdepim-4.4.9/kontact/plugins/summary/summaryview_part.cpp:65
#55 0x00007f20d5745264 in SummaryView::createPart (this=0x951d90)
    at /usr/src/debug/kdepim-4.4.9/kontact/plugins/summary/summaryview_plugin.cpp:109
#56 0x00007f20f123b869 in KontactInterface::Plugin::part (this=0x951d90)
    at /usr/src/debug/kdepimlibs-4.5.95/kontactinterface/plugin.cpp:191
#57 0x00007f20f17e147e in Kontact::MainWindow::selectPlugin (this=0x7a7c30, plugin=0x951d90)
    at /usr/src/debug/kdepim-4.4.9/kontact/src/mainwindow.cpp:778
#58 0x00007f20f17d9775 in Kontact::MainWindow::selectPlugin (this=0x7a7c30, pluginName=...)
    at /usr/src/debug/kdepim-4.4.9/kontact/src/mainwindow.cpp:924
#59 0x00007f20f17ddbe9 in Kontact::MainWindow::loadSettings (this=0x7a7c30)
    at /usr/src/debug/kdepim-4.4.9/kontact/src/mainwindow.cpp:946
#60 0x00007f20f17e0060 in Kontact::MainWindow::initObject (this=0x7a7c30)
    at /usr/src/debug/kdepim-4.4.9/kontact/src/mainwindow.cpp:210
#61 0x00007f20f17e045c in Kontact::MainWindow::MainWindow (this=0x7a7c30, __in_chrg=<value optimized out>, 
    __vtt_parm=<value optimized out>) at /usr/src/debug/kdepim-4.4.9/kontact/src/mainwindow.cpp:146
#62 0x0000000000404667 in main (argc=3, argv=0x7fffb4810228) at /usr/src/debug/kdepim-4.4.9/kontact/src/main.cpp:216
Comment 3 Christophe Marin 2011-01-24 21:41:47 UTC
Git commit cb87362163afbed2dca419c839c342a7b5ec675f by Christophe Giboudeaux.
Pushed by cgiboudeaux into branch '4.4'.

Disable the Special Dates and Planner plugins by default.
A new option is introduced for kdepim 4.4.10: KONTACT_ENABLE_MIXEDMODE_SUMMARY_PLUGINS (default: disabled)
This will prevent Kontact from starting twice when restoring the KDE session.

CCBUG: 185544
BUG: 263294
(and probably a few other Kontact bugs)

DO NOT BACKPORT. AFAIK, kontact from 4.6 is not affected.

M  +6    -2    kontact/plugins/CMakeLists.txt     

http://commits.kde.org/ee6cc38b/cb87362163afbed2dca419c839c342a7b5ec675f
Comment 4 Christophe Marin 2011-01-25 12:01:34 UTC
SVN commit 1216989 by cgiboudeaux:

    Disable the Special Dates and Planner plugins by default.
    A new option is introduced for kdepim 4.4.10: KONTACT_ENABLE_MIXEDMODE_SUMMARY_PLUGINS (default: disabled)
    This will prevent Kontact from starting twice when restoring the KDE session.
    
    CCBUG: 185544
    BUG: 263294
    (and probably a few other Kontact bugs)
    
    DO NOT BACKPORT. AFAIK, kontact from 4.6 is not affected.


 M  +4 -0      CMakeLists.txt  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1216989